Bug 239345 - comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc2
Summary: comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-20 15:31 UTC by Mike English
Modified: 2019-08-11 14:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hamradio)


Attachments
comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc1 (1.73 KB, patch)
2019-07-20 15:31 UTC, Mike English
no flags Details | Diff
comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc2 (1.73 KB, patch)
2019-07-21 04:02 UTC, Mike English
no flags Details | Diff
comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc2 (7.91 KB, patch)
2019-08-07 03:39 UTC, Mike English
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike English 2019-07-20 15:31:38 UTC
Created attachment 205938 [details]
comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc1

The first release candidate for GNU Radio 3.8 has been tagged

This patch updates the port to the release candidate 3.8.0.0-rc1

https://github.com/gnuradio/gnuradio/releases/tag/v3.8.0.0-rc1

https://github.com/freebsd/freebsd-ports/compare/master...englishm:me/gnuradio-3.8-rc1
Comment 1 Mike English 2019-07-21 02:53:30 UTC
Sounds like RC2 was tagged just after I submitted this.
I'll send a follow-up patch for that shortly.

Better as a new bug or a revision to this one?
Comment 2 Mike English 2019-07-21 04:02:55 UTC
Created attachment 205955 [details]
comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc2

Updating patch to target rc2
Comment 3 Mike English 2019-07-21 04:05:41 UTC
https://github.com/gnuradio/gnuradio/releases/tag/v3.8.0.0-rc2


[3.8.0.0-rc2] - 2019-07-20

This is the second release candidate for GNU Radio 3.8.
Fixed
Project Scope

    Last minute patch lead to SWIG libraries not getting installed into the right Python paths

gr-utils

    gr_modtool: Paths with spaces in them used to break

Changed
GRC

    Copy & Paste behaviour now like on 3.7: appending numbers to block IDs only on conflicts
Comment 4 Mike English 2019-08-07 03:39:13 UTC
Created attachment 206315 [details]
comms/gnuradio: [patch] Upgrade to 3.8.0.0-rc2

Updated patch has pkg-plist issues fixed
Comment 5 Diane Bruce freebsd_committer 2019-08-08 20:32:04 UTC
(In reply to Mike English from comment #4)

Thank you for that (Mike updated this due to IRC comment)
Comment 6 commit-hook freebsd_committer 2019-08-11 14:20:05 UTC
A commit references this bug:

Author: db
Date: Sun Aug 11 14:19:29 UTC 2019
New revision: 508625
URL: https://svnweb.freebsd.org/changeset/ports/508625

Log:
  Update to 3.8.0.0-rc2

  # Changelog
  All notable changes to GNU Radio will be documented in this file.

  The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
  and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html), starting with version 3.7.12.0.

  Older Logs can be found in `docs/RELEASE-NOTES-*`.

  ## [3.8.0.0-rc2] - 2019-07-20

  This is the second release candidate for GNU Radio 3.8.

  ### Fixed
  #### Project Scope
  - Last minute patch lead to SWIG libraries not getting installed into the right Python paths
  #### gr-utils
  - `gr_modtool`: Paths with spaces in them used to break

  ### Changed
  #### GRC
  - Copy & Paste behaviour now like on 3.7: appending numbers to block IDs only on conflicts

  ## [3.8.0.0-rc1] - 2019-07-17

  This is the release candidate for GNU Radio 3.8.

  For brevity reasons, this document does NOT contain a complete CHANGELOG
  comparing 3.8.0.0 to 3.7.0, because the development model changed underway, and
  there's no human-feasible way to detangle the changes from more than six years
  of development.

  The major user-relevant changes will be noted here in the actual release.

  What we can do here is point out that we've got a glorious amount of 215
  individual contributors that added at least one commit since 3.7.0.

  This is a **big** step towards the future of the world's most popular FOSS SDR
  framework.

  Let us ride eternal, shiny and chrome.

  Pet Portlint

  PR:		ports/239345
  Submitted by:	mike.english@gmail.com

Changes:
  head/comms/gnuradio/Makefile
  head/comms/gnuradio/distinfo
  head/comms/gnuradio/pkg-plist